<template lang="pug">
  .top-bar
    .left
      i.icon-menu(@click="emitShowMenu")
    .center
      p moti
    .right
      p {{ group }}
</template>

<script>
export default {
  name: 'top-bar',
  computed: {
    group () {
      return this.$store.state.user.groups.filter(i => {
        return i.groupId === this.$store.state.currentGroup
      })[0].name
    }
  },
  methods: {
    emitShowMenu () {
      this.$emit('showMenu')
    }
  }
}
</script>
